#!/usr/bin/env python3
# coding: utf-8

import json
import sqlite3

connection = sqlite3.connect("/var/www/sevas/db/persons.sqlite")

cursor = connection.cursor()
cursor.execute("SELECT * FROM candidates")
result = cursor.fetchall()

connection.close()

with open("/var/www/sevas/output/candidates.txt", 'w') as file:
    json.dump(result, file)



connection = sqlite3.connect("/var/www/sevas/db/votes.sqlite")
cursor = connection.cursor()
cursor.execute("SELECT vote FROM votes ORDER BY vote")
result = cursor.fetchall()

cursor.execute("SELECT login FROM votes ORDER BY login")
voters = cursor.fetchall()
connection.close()

# getting rid of paper votes. They are counted somewhere else.
for v in result:
    if v[0] == '0':
        result.remove(v)

with open('/var/www/sevas/output/votes.txt', 'w') as file:
    json.dump(result, file)
    
with open('/var/www/sevas/output/voters.txt', 'w') as file:
    for voter in voters:
        file.write(voter[0] + "\n");

print("Transfer nastal")
