/**
 * Created by Adam on 09/04/2018.
 */

//vote encryption, sending login without giving the user possibility to manipulate with it
function countRadios(radios) {
   var num = 0;
   for (i = 0; i < radios.length; i++) {
       if ((radios[i].value == "1") && (radios[i].checked)) {
           num++;
       }
   }
   return num;
}

function validateForm(form, max) {
    if (countRadios(form) > max) {
        alert('Zvolili ste veľa kandidátov. Môžete najviac ' + max + '.');
        return false;
    }
    return true;
}

function encryptVote(vote) {

    var x = document.forms["voting"];

    options = {
        data: vote,
        publicKeys: openpgp.key.readArmored(pubkey).keys
    };
    
    //x["plaintext_vote"].innerHTML = vote;

    openpgp.encrypt(options).then(function (ciphertext) {
        //x["vote"].value = ciphertext.data;
        //document.getElementById("display_vote").innerHTML = ciphertext.data;
        x["vote"].innerHTML = ciphertext.data;
        x["submit"].disabled = false;
        x["vytvor"].disabled = true;
        alert("Hlas bol úspešne vytvorený.");
    });
}


function createVote(radios) {
    var vote = "";
    for (i = 0; i < radios.length; i++) {
        if (radios[i].checked) {
            vote += "<";
            vote += radios[i].name.toString();
            vote += "#";
            vote += radios[i].value.toString();
            vote += ">";
        }
        else if (radios[i].type == "checkbox")
        {
            vote += "<";
            vote += radios[i].name.toString();
            vote += "#3>";
        }
    }
    return vote;
}

function freeze(radios) {
    for (i = 0; i < radios.length; i++) {
        radios[i].disabled = true;
    }
}

async function processForm(max) {
    var x = document.forms["voting"];
    var y = x.getElementsByClassName("hlas");

    if (!validateForm(y, max)) {
        return false;
    }
    my_vote = createVote(y);
    freeze(y);
    await encryptVote(my_vote);
    return true;
}
